- 1751390607
- 1063
- 8
  - No new notifications
  - 0 Comments
  - 0 Admin Comments
  - 1 Shout
  - 0 Friend Requests
  - 0 Favorites
  - 0 Watches
  - 0 Votes
  - 0 Forum Posts
  - 0 Subscribed Folders
  - 7 Site Updates
- 0
- Upload
- - SFW
  - Settings
  - Logout

- 1751390607
- 1063
- 8
- 0

CaptainMemes
Writer
joined 25 Jan 2025
Tiles Detailed List Short List
For All of Dragonkind: Lore Book
The Road We Call Life
Updates
Dragon Zombies
962739637896379964259646696467969469700097169
Chemistry
by CaptainMemes
As a chemist, there are things I see in many conventions that I perceive as different. Words with new definitions, pictures with new meanings. A great example would be the term, "aromatic". Now, however, usually it ...
29 Jan 2025
First Tale Out!
by CaptainMem... 5 months ago
Dragon, Romance, Adventure
Arrival
by CaptainMem... 5 months ago
Dragon, Death, Adventure, Fantasy, Romance, Suspense, Human, Violence
222058722195912219058